Skip to content

getFontCatalogFamily

GET
/api/v1/fonts/catalog/{sourceId}
curl --request GET \
--url https://example.com/api/v1/fonts/catalog/example

Read one catalog family with its subsets, styles, weights, and variable weight range. Requires the settings.manage capability.

sourceId
required
string
/^[a-z0-9][a-z0-9-]{0,99}$/

Catalog family

Media typeapplication/json
object
data
required
object
id
required
string
family
required
string
category
required
string
license
required
string
subsets
required
Array<string>
weights
required
Array<integer>
styles
required
Array<string>
defaultSubset
required
string
variable
required
boolean
version
required
string
weightRange
required
One of:
null
Examplegenerated
{
"data": {
"id": "example",
"family": "example",
"category": "example",
"license": "example",
"subsets": [
"example"
],
"weights": [
1
],
"styles": [
"example"
],
"defaultSubset": "example",
"variable": true,
"version": "example",
"weightRange": [
1
]
}
}

Dashboard authentication required

Insufficient capability

Catalog family not found

The catalog could not be reached

The catalog is disabled on this server